microsoft-foundry.rest.security.o-auth2-auth
Agent Session Files
Upload a session file
PUT
/agents/{agent_name}/endpoint/sessions/{agent_session_id}/files/content
Uploads binary file content to the specified path in the session sandbox. The service stores the file relative to the session home directory and rejects payloads larger than 50 MB.
Parameter jalur
agent_name
string
diperlukan
The name of the agent.
agent_session_id
string
diperlukan
The session ID.
Parameter kueri
path
string
diperlukan
The destination file path within the sandbox, relative to the session home directory.
api-version
string
diperlukan
The API version to use for this operation.
Isi Permintaan
Content-Type: application/octet-stream
Respons
The request has succeeded and a new resource has been created as a result.
Isi
Content-Type: application/json
path
string
diperlukan
The path where the file was written, relative to the session home directory.
bytes_written
integer
diperlukan
Number of bytes written.
Minta
PUT /agents/{agent_name}/endpoint/sessions/{agent_session_id}/files/content HTTP/1.1
Tanggapan
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json